Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
VMware Workstation from the VMware overlay
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Shaoren
n00b
n00b


Joined: 10 Apr 2007
Posts: 8

PostPosted: Sun Nov 09, 2008 11:34 am    Post subject: VMware Workstation from the VMware overlay Reply with quote

Hello,

I wanted to emerge VMware Workstation in order to use softwares that do not have equivalents in Linux (to my mind).
So, since the 6.5 version of VMware has just been published with some good functions like the Unity one, I try to emerge this version.

The portage tree does not have this version, but the overlay vmware has it. So I use layman with subversion to emerge VMware Workstation.

Nonetheless, when I try to emerge it, it asks me to unmask some packages.

So I add the following code in my packages.keywords :
Code:
>=app-emulation/vmware-workstation-6.5.0.118166 ~x86

Here is the output :
Code:
!!! All ebuilds that could satisfy "=app-emulation/vmware-workstation-6.5.0.118166" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-emulation/vmware-workstation-6.5.0.118166 (masked by: -x86 keyword)


Then, I try to put
Code:
>=app-emulation/vmware-workstation-6.5.0.118166 -x86

But the error is still there...
Code:
!!! All ebuilds that could satisfy "=app-emulation/vmware-workstation-6.5.0.118166" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-emulation/vmware-workstation-6.5.0.118166 (masked by: missing keyword)


I have also try to change the keyword by * , but it does not work too.

Do you have a solution ?

Thanks!
Back to top
View user's profile Send private message
aidanjt
Veteran
Veteran


Joined: 20 Feb 2005
Posts: 1117
Location: Rep. of Ireland

PostPosted: Sun Nov 09, 2008 11:38 am    Post subject: Reply with quote

Just add:
Code:
app-emulation/vmware-workstation

to your package.keywords, you don't need to be that specific.
_________________
juniper wrote:
you experience political reality dilation when travelling at american political speeds. it's in einstein's formulas. it's not their fault.
Back to top
View user's profile Send private message
Shaoren
n00b
n00b


Joined: 10 Apr 2007
Posts: 8

PostPosted: Sun Nov 09, 2008 1:59 pm    Post subject: Reply with quote

When I add app-emulation/vmware-workstation,
I have the same error:

Code:
!!! All ebuilds that could satisfy "=app-emulation/vmware-workstation-6.5.0.118166" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-emulation/vmware-workstation-6.5.0.118166 (masked by: -x86 keyword)


Thanks for helping.
Back to top
View user's profile Send private message
aidanjt
Veteran
Veteran


Joined: 20 Feb 2005
Posts: 1117
Location: Rep. of Ireland

PostPosted: Sun Nov 09, 2008 2:04 pm    Post subject: Reply with quote

Ahh, it's a masking issue, just add the same thing, "app-emulation/vmware-workstation" to /etc/portage/package.unmask.
_________________
juniper wrote:
you experience political reality dilation when travelling at american political speeds. it's in einstein's formulas. it's not their fault.
Back to top
View user's profile Send private message
Shaoren
n00b
n00b


Joined: 10 Apr 2007
Posts: 8

PostPosted: Mon Nov 10, 2008 4:19 pm    Post subject: Reply with quote

I am really sorry, but even if I add the same thing to this file, the error is the same :/
Back to top
View user's profile Send private message
z_sfeng
Apprentice
Apprentice


Joined: 21 Apr 2004
Posts: 154
Location: Finland

PostPosted: Tue Nov 11, 2008 8:11 am    Post subject: Reply with quote

add this to /etc/portage/package.keywords:
Code:
app-emulation/vmware-workstation ~x86
Back to top
View user's profile Send private message
Shaoren
n00b
n00b


Joined: 10 Apr 2007
Posts: 8

PostPosted: Wed Nov 12, 2008 1:26 pm    Post subject: Reply with quote

Same error :(
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum